OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.ShadingLanguageInclude

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_shading_language_include extension, see http://www.opengl.org/registry/specs/ARB/shading_language_include.txt.

Synopsis

- glNamedString :: GLenum -> GLint -> Ptr GLchar -> GLint -> Ptr GLchar -> IO ()
- glDeleteNamedString :: GLint -> Ptr GLchar -> IO ()
- glCompileShaderInclude :: GLuint -> GLsizei -> Ptr (Ptr GLchar) -> Ptr GLint -> IO ()
- glIsNamedString :: GLint -> Ptr GLchar -> IO GLboolean
- glGetNamedString :: GLint -> Ptr GLchar -> GLsizei -> Ptr GLint -> Ptr GLchar -> IO ()
- glGetNamedStringiv :: GLint -> Ptr GLchar -> GLenum -> Ptr GLint -> IO ()
- gl_SHADER_INCLUDE :: GLenum
- gl_NAMED_STRING_LENGTH :: GLenum
- gl_NAMED_STRING_TYPE :: GLenum

# Functions

glNamedString :: GLenum -> GLint -> Ptr GLchar -> GLint -> Ptr GLchar -> IO ()

glDeleteNamedString :: GLint -> Ptr GLchar -> IO ()

glCompileShaderInclude :: GLuint -> GLsizei -> Ptr (Ptr GLchar) -> Ptr GLint -> IO ()

glIsNamedString :: GLint -> Ptr GLchar -> IO GLboolean

glGetNamedString :: GLint -> Ptr GLchar -> GLsizei -> Ptr GLint -> Ptr GLchar -> IO ()

glGetNamedStringiv :: GLint -> Ptr GLchar -> GLenum -> Ptr GLint -> IO ()

# Tokens

gl_SHADER_INCLUDE :: GLenum

gl_NAMED_STRING_LENGTH :: GLenum

gl_NAMED_STRING_TYPE :: GLenum